<?php

namespace App\Domains\Forms\Controllers\AdminApp;

use App\Domains\Forms\Resources\SaleFormResource;
use App\Domains\Forms\Services\SaleFormService;
use App\Http\Controllers\Controller;

class SaleFormController extends Controller
{
    public function __construct(protected SaleFormService $saleFormService) {}

    public function __invoke(): SaleFormResource
    {
        return SaleFormResource::make($this->saleFormService->get());
    }
}
